freeslot("spr_frgd","sfx_fduck")

local ringSpins = {MT_RING, MT_FLINGRING, MT_REDRING, MT_REDTEAMRING, MT_BLUETEAMRING}

sfxinfo[sfx_itemup].caption = "Pop"
sfxinfo[sfx_fduck].caption = "Quack"
mobjinfo[MT_REDRING].seesound = sfx_fduck

states[S_RING] = {
	sprite = SPR_FRGD,
	frame = FF_PAPERSPRITE|A,
	tics = -1,
	nextframe = S_RING,
	var1 = 0,
	var2 = 0
}

states[S_RRNG1] = {
	sprite = SPR_FRGD,
	frame = FF_FULLBRIGHT|FF_PAPERSPRITE|B,
	tics = -1,
	action = A_ThrownRing,
	nextframe = S_RRNG1,
	var1 = 0,
	var2 = 0
}

states[S_TEAMRING] = {
	sprite = SPR_FRGD,
	frame = FF_FULLBRIGHT|FF_PAPERSPRITE|B,
	tics = -1,
	nextframe = S_TEAMRING,
	var1 = 0,
	var2 = 0
}

local function spin(goody)
	goody.angle = $ + ANG1*5
end

for _,k in ipairs(ringSpins) do
	addHook("MobjThinker", spin, k)
end